<?php
// +----------------------------------------------------------------------
// | 奇乐自媒体内容管理系统 免费版 2019
// +----------------------------------------------------------------------
// | 官方网址：http://www.qilecms.com
// +----------------------------------------------------------------------
// | 官方论坛：http://bbs.qilecms.com
// +----------------------------------------------------------------------
// | Author:奇乐网络
// +----------------------------------------------------------------------
// | 版权说明：本产品为免费版，使用请保留底部版权
// +----------------------------------------------------------------------
namespace app\admin\controller;
use think\controller;
use think\Db;
class Sms extends Base
{
	public function index(){
      $alias        = '';  //需要别名时写别名，不需要的时候留空 
      $defaultWhere = '';   //默认where条件
      $defaultOrder = 'create_time desc';  //默认排序
//接收搜索表单数据
      $SearchFormData = $this->getSearchFormData($defaultWhere,$defaultOrder);
      $where          = $SearchFormData['where'];    //返回的条件sql
      $order          = $SearchFormData['order'];    //返回排序sql
      $pageNum        = $SearchFormData['pageNum']; //返回的分页数量

//组建关键词数据
     $keywordsData  =[
                  [
                  'field'   =>'id', //字段名
                  'name'    =>'模板ID', //文本显示名称
                  'alias'   => $alias,  //字段对应的别名
                  ],
                  [
                  'field'   =>'tpl_name',
                  'name'    =>'模板名称',
                  'alias'   => $alias,
                  ],
                   [
                  'field'   =>'use_name',
                  'name'    =>'调用名称',
                  'alias'   => $alias,
                   ],
                  
                  [
                  'field'   =>'tpl_code',
                  'name'    =>'模板代码',
                  'alias'   => $alias,
                  ]
     ];
//组建日期筛选   
       $dateData = [];
//单个字段筛选
    $customSingleField =[
                         [
                          'name'  => '状态',
                          'field' => 'status', 
                          'data'  => [ 0 =>'禁用',1=>'启用'],
                          'alias' => $alias,
                         ]
                       ]; 
// 组件字段组筛选
     $groupData = [];
     $orderData   = [];  

     $this->assign('keywordsData',$keywordsData);
     $this->assign('customSingleField',$customSingleField);
     $this->assign('groupData',$groupData);
     $this->assign('dateData',$dateData);
     $this->assign('orderData',$orderData);



     $list = DB::name('sms')->where($where)->order($order)->paginate($pageNum);
     $page = $list->render();
     $this->assign('page', $page);
     $this->assign('list', $list->toArray()['data']);
     return $this->fetch();
	}
//增加
  public function add(){
    $param = $this->request->param(); 
    if($this->request->isPost()){   

        //验证
        $rule =[
          'tpl_name'=>'require',
          'use_name'=>'require',
          'tpl_code'=>'require',
          'tpl_content'=>'require',
        ];
        $msg= [
         'tpl_name.require' =>'模板名称不能为空',
         'use_name.require' =>'调用名称不能为空',
         'tpl_code.require' =>'模板CODE不能为空',
         'tpl_content.require' =>'模板内容不能为空',   
        ];
         $error = $this->checkSubmit($param,$rule,$msg);  
       if($error){
              return error_json($error);
         }
         //表单数据
          $data['tpl_name'] = $param['tpl_name'];
          $data['use_name'] = $param['use_name'];
          $data['tpl_code'] = $param['tpl_code'];
          $data['tpl_content'] = $param['tpl_content'];
          $data['create_time'] = time();
          $data['status'] = !empty($param['status'])?1:-1;

       if(model('sms')->addData($data)){
         return success_json('添加成功'); 
       }
   }else{
        return $this->fetch();
   }      
  }
  public function edit(){
    $param = $this->request->param();
    if($this->request->isAjax()){

        //验证
        $rule =[
          'tpl_name'=>'require',
          'use_name'=>'require',
          'tpl_code'=>'require',
          'tpl_content'=>'require',
        ];
        $msg= [
         'tpl_name.require' =>'模板名称不能为空',
         'use_name.require' =>'调用名称不能为空',
         'tpl_code.require' =>'模板CODE不能为空',
         'tpl_content.require' =>'模板内容不能为空',   
        ];
         $error = $this->checkSubmit($param,$rule,$msg);  
       if($error){
              return error_json($error);
         }
    
         //表单数据
          $data['tpl_name'] = $param['tpl_name'];
          $data['use_name'] = $param['use_name'];
          $data['tpl_code'] = $param['tpl_code'];
          $data['tpl_content'] = $param['tpl_content'];
          $data['status'] = !empty($param['status'])?1:-1;
          $where['id'] = $param['id'];
          $res = model('sms')->editData($data,$where);
          return success_json('编辑成功'); 
    }else{
         $sms = model('sms')->getSmsById($param['id']);
         $this->assign('sms',$sms);
         return $this->fetch();


    }  
  }
// 删除
	public function del(){
         $param = input();
     if(!$param['id']){  return error_json('请求参数错误');    }
     $res= $this->delData('sms','id');
     if($res){
      return success_json('删除成功');
     }else{
      return error_json($res);
     }
   
      
	}

}